ru.bitel.bgbilling.modules.tv.api.common.service

## Interface TvDeviceService

- All Superinterfaces:
    DeviceService<TvDevice,TvDeviceType>

      public interface TvDeviceService
      extends DeviceService<TvDevice,TvDeviceType>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `deviceManage(int id, java.lang.String operation, int servId, int connectionId, long timeout)`
    `void` | `deviceReload()`

    - ### Methods inherited from interface ru.bitel.oss.systems.inventory.resource.common.DeviceService

      `deviceConfigPreview, deviceDelete, deviceGet, deviceGroupDelete, deviceGroupGet, deviceGroupRoot, deviceGroupUpdate, deviceList, deviceManagerMethodList, deviceMove, deviceRoot, deviceTypeDelete, deviceTypeGet, deviceTypeList, deviceTypeUpdate, deviceUpdate`

- - ### Method Detail

    - #### deviceReload

          void deviceReload()
                     throws ru.bitel.bgbilling.common.BGException,
                            ru.bitel.bgbilling.common.BGMessageException,
                            ru.bitel.bgbilling.common.BGIllegalAccessException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalAccessException`

    - #### deviceManage

          java.lang.String deviceManage(int id,
                                        java.lang.String operation,
                                        int servId,
                                        int connectionId,
                                        long timeout)
                                 throws ru.bitel.bgbilling.common.BGException,
                                        ru.bitel.bgbilling.common.BGMessageException,
                                        ru.bitel.bgbilling.common.BGIllegalAccessException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalAccessException`